# Página de Opciones

Se trata de una págna de administración que contiene bloques.

Desde el archivo de configuración `/config/pages.config.php` se gestionan las páginas y bloques que contienen:

```php
return array(

		// Main Page.
		new Page(
			'Flat 101 🚀 Security',
			__( 'Main', 'flat101-security' ),
			'main_options',
			array(
				new EmojiBlock(),
			)
		),

		// Network Page.
		new Page(
			__( 'Network Options', 'flat101-security' ),
			__( 'Network', 'flat101-security' ),
			'network_options',
			array(
				new RestApiBlock(),
				new XmlRpcBlock(),
			)
		),
);
```

## Campos

El constructor de una clase `Page` tiene 4 campos:

-   `$menu_text` Texto que se mostrará en el menú.

-   `$page_title` Título de la página. Se mostrará en la parte superior de ésta.

-   `$key` Se usará como identificador de la página. Debe ser único. Internamente se añadirá un prefijo y un sufijo: `'flat101_security_' . $key . '_page'`. Afectará a la URL: `/admin.php?page=<key>`.

-   `$blocks` Array de bloques. Se mostrarán en ese orden.

## Edición

No hay problema en cambiar bloques de orden dentro de una página o incluso cambiarlos entre páginas.

También podemos añadir nuevas páginas, modificarlas o eliminarlas. Ten presente que si cambias un título deberás actualizar sus traducciones.
